About VPN CLIENT

Issues related to configuring your network

About VPN CLIENT

Postby LEELEEC » 2012/02/23 09:05:07

I want to access twitter in my centos 4.5.I configured it as follow steps:
1.INSTALL
yum -y install ppp
yum -y install pptp

2.CONFIGURE
vi /etc/ppp/chap-secrets
------------------------------------------
# Secrets for authentication using CHAP
# client server secret IP addresses

username myvpn "password" *
------------------------------------------

vi /etc/ppp/peers/myvpn
------------------------------------------
# written by pptpsetup
pty "pptp serverIP --nolaunchpppd"
lock
#noauth
nobsdcomp
nodeflate
name username
remotename myvpn
ipparam myvpn
require-mppe-128
refuse-pap
refuse-chap
refuse-eap
refuse-mschap
------------------------------------------

3.COPY COMMAND
cp /usr/share/doc/ppp-2.4.4/scripts/pon /usr/sbin/
cp /usr/share/doc/ppp-2.4.4/scripts/poff /usr/sbin/
chmod +x /usr/sbin/pon /usr/sbin/poff

4.CONNECT vpn
pon myvpn

5.TEST VPN
ifconfig
#############################################################################
ppp0 Link encap:Point-to-Point Protocol
inet addr:192.168.21.203 P-t-P:192.168.21.1 Mask:255.255.255.255
UP POINTOPOINT RUNNING NOARP MULTICAST MTU:1496 Metric:1
RX packets:6 errors:0 dropped:0 overruns:0 frame:0
TX packets:6 errors:0 dropped:0 overruns:0 carrier:0
collisions:0 txqueuelen:3
RX bytes:60 (60.0 b) TX bytes:66 (66.0 b)
#############################################################################

6.DISCONNECT
poff myvpn

I get the result as step 5, but can't make my centos 4.5 access twitter.
Could somebody help me for some hint?thx a lot!
LEELEEC
 
Posts: 3
Joined: 2012/02/23 02:53:23

Re: About VPN CLIENT

Postby LEELEEC » 2012/02/23 09:07:21

ps:
My centos 4.5 connect to internet through a proxy authentication.
The centos 4.5 is configured with ip address 10.2.1.1.
LEELEEC
 
Posts: 3
Joined: 2012/02/23 02:53:23

About VPN CLIENT

Postby pschaff » 2012/02/23 15:59:07

Welcome to the CentOS fora. Please see the recommended reading for new users linked in my signature.

CentOS 4.5 is severely obsolete. You should at least "yum update" to 4.9 + subsequent errata before CentOS-4 EOL and come up with a plan for the after-life.

What does the ppp connection have to do with Twitter?
pschaff
Retired Moderator
 
Posts: 18277
Joined: 2006/12/13 20:15:34
Location: Tidewater, Virginia, North America


Return to CentOS 4 - Networking Support

Who is online

Users browsing this forum: No registered users and 0 guests